Files
nixpkgs/pkgs/tools/security/pinentry/fix-with-xcbuild-plistbuddy.patch
Dark Steveneq 646b892680
Some checks failed
Periodic Merges (6h) / master → staging-nixos (push) Failing after 12m50s
Periodic Merges (6h) / master → staging-next (push) Failing after 12m54s
Periodic Merges (24h) / merge-base(master,staging) → haskell-updates (push) Failing after 11m54s
Periodic Merges (6h) / staging-next → staging (push) Failing after 12m13s
Periodic Merges (24h) / staging-next-25.05 → staging-25.05 (push) Failing after 13m24s
Periodic Merges (24h) / release-25.05 → staging-next-25.05 (push) Failing after 14m28s
push sheeet
2025-10-09 14:15:47 +02:00

22 lines
677 B
Diff

diff --git a/macosx/copyInfoPlist.sh b/macosx/copyInfoPlist.sh
index f366665153..dfd9511e79 100755
--- a/macosx/copyInfoPlist.sh
+++ b/macosx/copyInfoPlist.sh
@@ -20,9 +20,10 @@
cp "$1" "$dest" || exit 1
-/usr/libexec/PlistBuddy \
- -c "Set CommitHash '${COMMIT_HASH:--}'" \
- -c "Set BuildNumber '${BUILD_NUMBER:-0}'" \
- -c "Set CFBundleVersion '${BUILD_VERSION:-0n}'" \
- -c "Set CFBundleShortVersionString '$VERSION'" \
- "$dest" || exit 1
+PlistBuddy "$dest" <<EOF || exit 1
+ Set CommitHash "${COMMIT_HASH:--}"
+ Set BuildNumber "${BUILD_NUMBER:-0}"
+ Set CFBundleVersion "${BUILD_VERSION:-0n}"
+ Set CFBundleShortVersionString "$VERSION"
+ Save
+EOF